org.apache.hc.client5.http.impl

## Class DefaultSchemePortResolver

- java.lang.Object
- - org.apache.hc.client5.http.impl.DefaultSchemePortResolver

All Implemented Interfaces:
  SchemePortResolver

    @Contract(threading=STATELESS)
    public class DefaultSchemePortResolver
    extends Object
    implements SchemePortResolver

Default `SchemePortResolver`.

Since:
  4.3

### Field Summary

Fields
`static DefaultSchemePortResolver` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSchemePortResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `resolve(org.apache.hc.core5.http.HttpHost host)` Returns the actual port for the host based on the protocol scheme.
`int` `resolve(String scheme, org.apache.hc.core5.net.NamedEndpoint endpoint)` Returns the actual port for the host based on the protocol scheme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultSchemePortResolver INSTANCE

### Constructor Detail

#### DefaultSchemePortResolver

    public DefaultSchemePortResolver()

### Method Detail

#### resolve

    public int resolve(org.apache.hc.core5.http.HttpHost host)

Description copied from interface: `SchemePortResolver`
Returns the actual port for the host based on the protocol scheme.

Specified by:
  `resolve` in interface `SchemePortResolver`

#### resolve

    public int resolve(String scheme,
                       org.apache.hc.core5.net.NamedEndpoint endpoint)

Description copied from interface: `SchemePortResolver`
Returns the actual port for the host based on the protocol scheme.

Specified by:
  `resolve` in interface `SchemePortResolver`